# Frontedit Support

When using ExpressionEngine Pro and the Frontedit feature, you will need to add an additional configuration value to your main config.php file: `$config['speedy_frontedit_check_url']`

Speedy will display an alert similar to what you see below with the provided value of what you should set this configuration value to. If you are using static cache (Redis or File based) you may need to regenerate your utilities files *after* adding this new value to your config.php file.

![](https://3476660910-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-Ly1eNBG1JvS5rivVtg3%2Fuploads%2FSgTFuCmtjI90nex0Qiuh%2Fspeedy-pro-regenerate.png?alt=media\&token=97159e80-96f4-4c82-bc17-e9ad14c97eb4)

Since static cached pages bypass ExpressionEngine entirely it may need to make an Ajax call to this URL to determine how to handle the request. It will also reference the `exp_frontedit` cookie, which is created by ExpressionEngine, so users who do not have access to the control panel will always get a fully cached page if it is available.

Speedy will **not** cache a page if it detects any `{frontedit_link}` tag in your template for the requested page. Meaning, if you are logged in and have permissions to edit a page, Speedy will not cache anything. It will only cache items on pages when Frontedit is not enabled for the current user.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.boldminded.com/speedy/docs/frontedit-support.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
